ogr.hpp File Reference
`#include <cassert>`
`#include <cstddef>`
`#include <memory>`
`#include <utility>`
`#include <ogr_geometry.h>`
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/geom/factory.hpp>`
Include dependency graph for ogr.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::geom
| Everything related to geometry handling.

## Typedefs

template<typename TProjection = IdentityProjection>
using | osmium::geom::OGRFactory = GeometryFactory< osmium::geom::detail::OGRFactoryImpl, TProjection >

## Detailed Description

This file contains code for conversion of OSM geometries into OGR geometries.

Attention
  If you include this file, you'll need to link with `libgdal`.